Get Earned Rewards

Retrieve rewarded transaction history for a specific user. By default this returns only SETTLED transactions within the last 12 months.


Required scopes: transaction:read


Query Limit: Maximum of 12 months of transaction data can be queried.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Query parameters

page[after]stringOptional

Cursor for next page (base64-encoded timestamp + transaction ID)

page[before]stringOptional

Cursor for previous page (base64-encoded timestamp + transaction ID)

page[size]integerOptional
Number of results per page
filter[status]enumOptional

Filter by transaction status. Supported values are APPROVED and SETTLED. Defaults to SETTLED when omitted. When APPROVED is specified, only approved transactions that do not yet have a corresponding settled transaction are returned.

Allowed values:
includestringOptional

Comma-separated list of related resources to include in the response. Supported values are merchant and offer.

Response

This endpoint returns an object.
datalist of objects
metaobject
Additional metadata for the earned rewards response.
includedlist of objects
Additional resources referenced in the response

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error